{% extends "base.html" %}

{% block content %}
<div class="container">
    <h1>Search Results</h1>
    {% for ques in questions %}
    <h3><a href="{{ url_for('view_question', questionid=ques.id)}}">{{ ques.body }}</a> </h3>
    <p>Posted by: {{ ques.username }}</p>
    <p>Posted on: {{ ques.timestamp }}</p>
    {% if not current_user.is_anonymous %}
        {% if current_user.id==ques.user_id %}
            <a href="{{ url_for('edit_question', questionid=ques.id)}}">Edit</a>
            <a href="{{ url_for('delete_question', questionid=ques.id)}}">Delete</a>
        {% endif %}
    {% endif %}
    <hr>
    {% endfor %}
</div>
{% endblock %}